#include <stdlib.h>
#include <stdio.h>
#include <unistd.h>
#include <string.h>

#include "won.h"

uint32 ircPrivmsg(WON_IRC_PACKET *wip);

void wonLoad(WON_MODULE_CTX *modctx)
{
	wonIrcRegisterLayeredHandler(modctx->wonctx, modctx, WON_LAYER_LAST, "PRIVMSG", 1, ircPrivmsg);
}

void wonUnload(WON_MODULE_CTX *modctx)
{
	wonIrcDeregisterLayeredHandler(modctx->wonctx, modctx, "PRIVMSG", 1, ircPrivmsg);
}

uint32 ircPrivmsg(WON_IRC_PACKET *wip)
{
	if (wip->buffer->words < 4)
		return WON_STATUS_SUCCESS;

	if (!strcmp(wip->buffer->str[3],":heh"))
		wonIrcSend(wip->ctx,wip->irc,"PRIVMSG %s :heh = \002\037FAKE FUCKING LAUGH\037\002\n",wip->buffer->str[2]);

	return WON_STATUS_SUCCESS;
}
